Get Payment Status

Retrieve the status of a specific payment created by the Payment Initiation Service (PIS).

Endpoint

GET /v1/payments/{paymentId}/status

Path Parameters

AttributeTypeDescription
paymentIdStringResource identification of the related payment.

Query Parameters

No query parameters.

Request Headers

AttributeTypeConditionDescription
X-Request-IDUUIDMandatoryID of the request, unique to the call, as determined by the initiating party (TPP).
AuthorizationStringMandatoryThe oAuth2 Bearer token obtained from the SCA performed prior to this request.
API-KeyStringMandatoryConsumer key available on the developers portal.
Consent-IDUUIDMandatoryThe consent ID of the related PIS consent.

Request Body

No request body.

Response

HTTP 200 OK

Response Headers

AttributeTypeConditionDescription
X-Request-IDUUIDMandatoryID of the request, unique to the call, as determined by the initiating party (TPP).

Response Body

AttributeTypeConditionDescription
paymentIdStringMandatoryThe unique reference of the payment.
paymentStatusPayment StatusMandatoryThe status of the payment.

Example

Request

curl -X GET \
https://mp-psd2-api.mypos.com/v1/payments/e454aa67-2829-49da-a4e3-9fbcdd6e7545/status \
-H 'API-Key: aGDmxHAmpMWUL1txqCsjEcOS' \
-H 'Authorization: Bearer oqeeWzoYfqkf1RsfyaB3hyNiLvY7GNAV6Kta7sGa9X' \
-H 'X-Request-ID: a552babc-7081-44e7-9361-61eb17e0bfd9' \
-H 'Consent-ID: 3c7816ee-3d51-4bf5-8ced-ece2af35d431'

Response

{
  "paymentId": "e454aa67-2829-49da-a4e3-9fbcdd6e7545",
  "paymentStatus": "CANC"
}